Package org.apache.ignite.internal.metric

## Interface IoStatisticsHolder

All Known Implementing Classes:
  `IoStatisticsHolderCache`, `IoStatisticsHolderIndex`, `IoStatisticsHolderNoOp`, `IoStatisticsHolderQuery`

    public interface IoStatisticsHolder

Holder of IO statistics.

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `logicalReads()`
`String` `metricRegistryName()`
`long` `physicalReads()`
`void` `trackLogicalRead​(long pageAddr)` Track logical read of given page.
`void` `trackPhysicalAndLogicalRead​(long pageAddr)` Track physical and logical read of given page.

### Method Detail

#### trackLogicalRead

    void trackLogicalRead​(long pageAddr)

Track logical read of given page.

Parameters:
  `pageAddr` - Address of page.

#### trackPhysicalAndLogicalRead

    void trackPhysicalAndLogicalRead​(long pageAddr)

Track physical and logical read of given page.

Parameters:
  `pageAddr` - start address of page.

#### logicalReads

    long logicalReads()

Returns:
  Number of logical reads.

#### physicalReads

    long physicalReads()

Returns:
  Number of physical reads.

#### metricRegistryName

    String metricRegistryName()

Returns:
  Metric registry name.